# s-cnt-monobank-main-menu



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description              | Type                        | Default     |
| ---------- | ----------- | ------------------------ | --------------------------- | ----------- |
| `langList` | `lang-list` | Список языков            | `any`                       | `undefined` |
| `mainMenu` | --          | Данные для главного меню | `MonobankMainMenuInterface` | `undefined` |


## Events

| Event                     | Description                     | Type               |
| ------------------------- | ------------------------------- | ------------------ |
| `clickOnDropdownMenuItem` | Клик по пунктам мобильного меню | `CustomEvent<any>` |
| `clickOnLangListItem`     | Клик по языка селектора         | `CustomEvent<any>` |
| `clickOnMainMenuItem`     | Клик по пунктам главного меню   | `CustomEvent<any>` |
| `clickOnMobileMenuItem`   | Клик по пунктам мобильного меню | `CustomEvent<any>` |


## Dependencies

### Used by

 - [s-cnt-monobank-header](../../..)

### Depends on

- [s-cnt-monobank-lang-selector](../../../../shared/s-cnt-monobank-lang-selector)
- [s-cnt-monobank-mobile-menu-items](./res/view/s-cnt-monobank-mobile-menu-items)

### Graph
```mermaid
graph TD;
  s-cnt-monobank-main-menu --> s-cnt-monobank-lang-selector
  s-cnt-monobank-main-menu --> s-cnt-monobank-mobile-menu-items
  s-cnt-monobank-header --> s-cnt-monobank-main-menu
  style s-cnt-monobank-main-menu fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
