import {Component, h, State} from '@stencil/core';

@Component({
  tag: 's-monobank-modal-callback-wrapper',
  styleUrl: 's-monobank-modal-callback-wrapper.css',
  shadow: false,
  scoped: true,
})
export class SMonobankModalCallbackWrapper {

  @State() openModal:boolean = false;

  render() {
    return (
      <div class="container" >
        <div class="row">
          <div class="col">
            <div class="bnt"
              onClick={()=> this.onClickBtnCallbackHandler()}
            >callback</div>
            <s-monobank-modal-callback
              openModal={this.openModal}
              onClickOnCloseModalForm={() => this.clickOnCloseModalForm()}
            ></s-monobank-modal-callback>
          </div>
        </div>
      </div>
    );
  }


  /**
   * click on btn
   * */
  public onClickBtnCallbackHandler() {
    this.openModal = true;
    document.querySelector("body").style.overflow = "hidden";
  }

  /**
   *
   * */
  public clickOnCloseModalForm(): void {
    this.openModal = false;
    document.querySelector("body").style.overflow = "visible";
    // console.log('состоняие у родителя', this.isShowFormState)
  }

}
